<?php

/**

 * SensFRX Main Class of App

 *

 */

namespace SensFRX\WhiteList;

use SensFRX\Common\ApiCalls;

/**

 * Class Rules

 *

 * @package Rules

 */

class WhiteList {

	private $objAPI; 

	public function __construct($objAPI) {

		$this->objAPI = $objAPI;

	}

	public function getWhiteList() {

		$method = 'GET';

		$url = '/policy-management/whitelist';

		return $this->objAPI->callAPI($method, $url);

	}

	public function postWhiteList($WhitelistInfo) {

		$method = 'POST';

		$url = '/policy-management/whitelist';

		return $this->objAPI->callAPI($method, $url, $WhitelistInfo);

	}

	public function postWhiteDeleteList($WhitelistDeleteInfo) {

		$method = 'POST';

		$url = '/policy-management/whitelist-delete';

		return $this->objAPI->callAPI($method, $url, $WhitelistDeleteInfo);

	}

}

